Subject: Re: bug in setup.exe for postgresql-7.3.4-1
From: "Max Bowsher" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 9 Aug 2003 15:01:06 +0100

Jason Tishler wrote:
> Max,
>
> On Tue, Aug 05, 2003 at 11:58:07AM +0100, Max Bowsher wrote:
>> Jason Tishler wrote:
>>> Is there any way to solve this problem without me adding a
>>> postinstall script that performs a "chmod +rx" on all *.exe and
>>> *.dll files installed by this packages?
>>
>> Yes. PTC for setup.
>
> Would the following patch or an extension to it help?
>
>     http://sources.redhat.com/ml/cygwin-apps/2003-04/msg00127.html

AFAIK, no.

IIUC, the problem here is that postmaster wants execute perms on
postgres.exe, but it is running neither as the user who installed Cygwin,
nor as a member of the Users group. Essentially, postgres could encounter
the same problem on an ACL-enabled Linux system. One solution would be for
postmaster to use the access() function, which is ACL-aware on Cygwin - I
don't know about Linux.

>> Please please please don't add this kind of postinstall script.
>
> OK, I won't.  However, I've been getting hammered by this problem for
> some time.  IIRC, since XP was released.

A lot more people using ntsec, I guess.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/